---
title: llarp::thread::QueuePopGuard

---

# llarp::thread::QueuePopGuard



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[QueuePopGuard](Classes/classllarp_1_1thread_1_1QueuePopGuard.md#function-queuepopguard)**([Queue](Classes/classllarp_1_1thread_1_1Queue.md)< Type > & queue, uint32_t generation, uint32_t index) |
| | **[~QueuePopGuard](Classes/classllarp_1_1thread_1_1QueuePopGuard.md#function-~queuepopguard)**() |

## Detailed Description

```cpp
template <typename Type >
class llarp::thread::QueuePopGuard;
```

## Public Functions Documentation

### function QueuePopGuard

```cpp
inline QueuePopGuard(
    Queue< Type > & queue,
    uint32_t generation,
    uint32_t index
)
```


### function ~QueuePopGuard

```cpp
~QueuePopGuard()
```


-------------------------------

Updated on 2022-10-06 at 19:25:19 +0000